"use strict";
const common_vendor = require("../../../common/vendor.js");
const gen_Enums = require("../../../gen/Enums.js");
const common_libraries_day = require("../../../common/libraries/day.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  (_easycom_uni_icons2 + _easycom_hs_enum_tag2)();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_enum_tag = () => "../../../components/hs-enum-tag/hs-enum-tag.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_enum_tag)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "EventList",
  props: ["data"],
  setup(__props) {
    const props = __props;
    const toDetaile = (e) => {
      common_vendor.index.navigateTo({
        url: `/INDEX/activities_show/index?id=${e.id}`
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(props == null ? void 0 : props.data, (i, index, i0) => {
          var _a, _b, _c;
          return common_vendor.e({
            a: (_a = i == null ? void 0 : i.cover_image) == null ? void 0 : _a.length
          }, ((_b = i == null ? void 0 : i.cover_image) == null ? void 0 : _b.length) ? {
            b: (_c = i == null ? void 0 : i.cover_image[0]) == null ? void 0 : _c.url
          } : {
            c: "9fa8b3b7-0-" + i0,
            d: common_vendor.p({
              type: "images",
              size: "60",
              color: "#eee"
            })
          }, {
            e: "9fa8b3b7-1-" + i0,
            f: common_vendor.p({
              value: i == null ? void 0 : i.status,
              Enums: common_vendor.unref(gen_Enums.ActivitiesStatusEnum)
            }),
            g: common_vendor.n(`event_item_status event_item_status_${i == null ? void 0 : i.status}`),
            h: common_vendor.t(i == null ? void 0 : i.title),
            i: common_vendor.t(common_vendor.unref(common_libraries_day.showDay)(i == null ? void 0 : i.start_time)),
            j: common_vendor.t(common_vendor.unref(common_libraries_day.showDay)(i == null ? void 0 : i.end_time)),
            k: `item_${index}`,
            l: common_vendor.o(($event) => toDetaile(i), `item_${index}`)
          });
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-9fa8b3b7"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/pages/index/components/EventList.vue"]]);
wx.createComponent(Component);
